Xalan-Java 2.7.1: Class SerializerSwitcher

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.transformer
Class SerializerSwitcher

    java.lang.Object
      |
      +--org.apache.xalan.transformer.SerializerSwitcher

public class SerializerSwitcher
extends java.lang.Object

This is a helper class that decides if Xalan needs to switch serializers, based on the first output element.

Constructor Summary
`SerializerSwitcher()`

Method Summary
`static Serializer` | `switchSerializerIfHTML(java.lang.String ns, java.lang.String localName, java.util.Properties props, Serializer oldSerializer)` Switch to HTML serializer if element is HTML
`static void` | `switchSerializerIfHTML(TransformerImpl transformer, java.lang.String ns, java.lang.String localName)` Switch to HTML serializer if element is HTML

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SerializerSwitcher

    public SerializerSwitcher()

Method Detail

### switchSerializerIfHTML

    public static void switchSerializerIfHTML(TransformerImpl transformer,
                                              java.lang.String ns,
                                              java.lang.String localName)
                                       throws TransformerException

  Switch to HTML serializer if element is HTML
  Parameters:
    `transformer` - Non-null transformer instance
    `ns` - Namespace URI of the element
    `localName` - Local part of name of element
  Throws:
    TransformerException -

### switchSerializerIfHTML

    public static Serializer switchSerializerIfHTML(java.lang.String ns,
                                                    java.lang.String localName,
                                                    java.util.Properties props,
                                                    Serializer oldSerializer)
                                             throws TransformerException

  Switch to HTML serializer if element is HTML
  Parameters:
    `ns` - Namespace URI of the element
    `localName` - Local part of name of element
  Returns:
    new contentHandler.
  Throws:
    TransformerException -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache XML Project. All Rights Reserved.